import { Authorization } from '../authorization/authorization';
export declare type StructType = 'SIMPLE' | 'BASIC' | 'ENDPOINT' | 'OAUTH_AUTHORIZATION_CODE' | 'OAUTH_CLIENT_CREDENTIALS' | 'OAUTH_PASSWORD';
export declare abstract class Struct {
    id: string;
    provider: string;
    structId: string;
    label: string;
    logo: string;
    logoFileUrl: string;
    fileAsString: string;
    type: StructType;
    customProperties: any;
    inputData: any;
    authorizeUrl: string;
    clientId: string;
    clientSecret: string;
    generateAccessToken?: (authorization: Authorization) => any;
    generateRefreshToken?: (authorization: Authorization) => any;
    generateBasicToken?: (authorization: Authorization) => any;
}
//# sourceMappingURL=struct.d.ts.map